Create Property
Create a new property record from an address.
curl --request GET \
--url https://api.bricked.ai/v1/property/create \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bricked.ai/v1/property/create"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bricked.ai/v1/property/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"property": {
"details": {
"bedrooms": 123,
"bathrooms": 123,
"squareFeet": 123,
"yearBuilt": 123,
"lotSquareFeet": 123,
"occupancy": "<string>",
"stories": 123,
"lastSaleDate": 123,
"lastSaleAmount": 123,
"basementType": "<string>",
"basementSquareFeet": 123,
"poolAvailable": true,
"garageType": "<string>",
"garageSquareFeet": 123,
"airConditioningType": "<string>",
"heatingType": "<string>",
"heatingFuelType": "<string>",
"hoaPresent": true,
"hoa1Fee": 123,
"hoa1FeeFrequency": "<string>",
"legalDescription": "<string>",
"fireplaces": 123,
"exteriorWallType": "<string>",
"daysOnMarket": 123,
"marketStatus": "<string>",
"rentEstimate": 123,
"surroundingType": "<string>",
"nonDisclosure": true,
"renovationScore": {
"hasScore": true,
"confidence": 123,
"score": 123
}
},
"landLocation": {
"apn": "<string>",
"zoning": "<string>",
"landUse": "<string>",
"propertyClass": "<string>",
"lotNumber": "<string>",
"block": "<string>",
"schoolDistrict": "<string>",
"subdivision": "<string>",
"countyName": "<string>"
},
"mortgageDebt": {
"openMortgageBalance": 123,
"estimatedEquity": 123,
"purchaseMethod": "<string>",
"ltvRatio": 123,
"itvRatio": 123,
"mortgages": [
{
"seq": 123,
"amount": 123,
"interestRate": 123,
"recordingDate": 123,
"documentDate": 123,
"maturityDate": 123,
"recordingBook": "<string>",
"recordingPage": "<string>",
"documentNumber": "<string>",
"lenderName": "<string>",
"termType": "<string>",
"term": "<string>",
"documentCode": "<string>",
"transactionType": "<string>",
"granteeName": "<string>",
"riders": "<string>",
"description": "<string>",
"position": "<string>",
"loanType": "<string>",
"termDescription": "<string>"
}
]
},
"ownership": {
"owners": [
{
"firstName": "<string>",
"lastName": "<string>"
}
],
"ownershipLength": 123,
"ownerType": "<string>",
"ownerOccupancy": "<string>",
"taxExemptions": "<string>",
"taxAmount": 123,
"taxes": [
{
"year": 123,
"taxAmount": 123,
"assessedValue": 123,
"taxAmountChange": 123,
"assessedValueChange": 123,
"amountChange": 123,
"amount": 123
}
],
"transactions": [
{
"saleDate": 123,
"amount": 123,
"purchaseMethod": "<string>",
"sellerNames": "<string>",
"buyerNames": "<string>"
}
]
},
"mls": {
"status": "<string>",
"category": "<string>",
"listingDate": 123,
"amount": 123,
"daysOnMarket": 123,
"mlsName": "<string>",
"mlsNumber": "<string>",
"interiorFeatures": "<string>",
"applianceFeatures": "<string>",
"agent": {
"agentName": "<string>",
"agentPhone": "<string>",
"officeName": "<string>",
"officePhone": "<string>"
},
"historicListings": [
{
"listingDate": 123,
"status": "<string>",
"amount": 123,
"pricePerSquareFoot": 123,
"agentName": "<string>",
"mlsName": "<string>",
"mlsNumber": "<string>"
}
]
},
"latitude": 123,
"longitude": 123,
"address": {
"streetNumber": "<string>",
"streetName": "<string>",
"streetSuffix": "<string>",
"zip": "<string>",
"plusFour": "<string>",
"carrierRoute": "<string>",
"cityName": "<string>",
"countyName": "<string>",
"stateCode": "<string>",
"fullAddress": "<string>"
},
"images": [
"<string>"
]
},
"comps": [
{
"details": {
"bedrooms": 123,
"bathrooms": 123,
"squareFeet": 123,
"yearBuilt": 123,
"lotSquareFeet": 123,
"occupancy": "<string>",
"stories": 123,
"lastSaleDate": 123,
"lastSaleAmount": 123,
"basementType": "<string>",
"basementSquareFeet": 123,
"poolAvailable": true,
"garageType": "<string>",
"garageSquareFeet": 123,
"airConditioningType": "<string>",
"heatingType": "<string>",
"heatingFuelType": "<string>",
"hoaPresent": true,
"hoa1Fee": 123,
"hoa1FeeFrequency": "<string>",
"legalDescription": "<string>",
"fireplaces": 123,
"exteriorWallType": "<string>",
"daysOnMarket": 123,
"marketStatus": "<string>",
"rentEstimate": 123,
"surroundingType": "<string>",
"nonDisclosure": true,
"renovationScore": {
"hasScore": true,
"confidence": 123,
"score": 123
}
},
"landLocation": {
"apn": "<string>",
"zoning": "<string>",
"landUse": "<string>",
"propertyClass": "<string>",
"lotNumber": "<string>",
"block": "<string>",
"schoolDistrict": "<string>",
"subdivision": "<string>",
"countyName": "<string>"
},
"mortgageDebt": {
"openMortgageBalance": 123,
"estimatedEquity": 123,
"purchaseMethod": "<string>",
"ltvRatio": 123,
"itvRatio": 123,
"mortgages": [
{
"seq": 123,
"amount": 123,
"interestRate": 123,
"recordingDate": 123,
"documentDate": 123,
"maturityDate": 123,
"recordingBook": "<string>",
"recordingPage": "<string>",
"documentNumber": "<string>",
"lenderName": "<string>",
"termType": "<string>",
"term": "<string>",
"documentCode": "<string>",
"transactionType": "<string>",
"granteeName": "<string>",
"riders": "<string>",
"description": "<string>",
"position": "<string>",
"loanType": "<string>",
"termDescription": "<string>"
}
]
},
"ownership": {
"owners": [
{
"firstName": "<string>",
"lastName": "<string>"
}
],
"ownershipLength": 123,
"ownerType": "<string>",
"ownerOccupancy": "<string>",
"taxExemptions": "<string>",
"taxAmount": 123,
"taxes": [
{
"year": 123,
"taxAmount": 123,
"assessedValue": 123,
"taxAmountChange": 123,
"assessedValueChange": 123,
"amountChange": 123,
"amount": 123
}
],
"transactions": [
{
"saleDate": 123,
"amount": 123,
"purchaseMethod": "<string>",
"sellerNames": "<string>",
"buyerNames": "<string>"
}
]
},
"mls": {
"status": "<string>",
"category": "<string>",
"listingDate": 123,
"amount": 123,
"daysOnMarket": 123,
"mlsName": "<string>",
"mlsNumber": "<string>",
"interiorFeatures": "<string>",
"applianceFeatures": "<string>",
"agent": {
"agentName": "<string>",
"agentPhone": "<string>",
"officeName": "<string>",
"officePhone": "<string>"
},
"historicListings": [
{
"listingDate": 123,
"status": "<string>",
"amount": 123,
"pricePerSquareFoot": 123,
"agentName": "<string>",
"mlsName": "<string>",
"mlsNumber": "<string>"
}
]
},
"latitude": 123,
"longitude": 123,
"address": {
"streetNumber": "<string>",
"streetName": "<string>",
"streetSuffix": "<string>",
"zip": "<string>",
"plusFour": "<string>",
"carrierRoute": "<string>",
"cityName": "<string>",
"countyName": "<string>",
"stateCode": "<string>",
"fullAddress": "<string>"
},
"images": [
"<string>"
],
"selected": true,
"compType": "<string>",
"listingType": "<string>",
"adjusted_value": 123,
"adjustments": {},
"is_renovated": true,
"renovation_score": 123,
"renovation_confidence": 123,
"geo_context": {
"market_context": "<string>",
"view": [
"<string>"
],
"location": {},
"site": {
"in_sfha": true,
"flood_zone": "<string>",
"bfe_ft": 123,
"in_floodway": true,
"coastal_high_hazard": true,
"fema_cover_pct": 123,
"slope_avg": 123,
"elevation_avg": 123,
"buildability_pct": 123,
"buildable_acres": 123,
"wetlands_pct": 123,
"land_locked": true,
"road_frontage": 123,
"assessed_land_value": 123,
"market_value_land": 123,
"tlp_estimate": 123,
"tlp_ppa": 123,
"zoning": "<string>"
},
"sources": {
"osm": true
}
},
"geo_context_relative_to_subject": {
"crosses_highway": true,
"crosses_river": true,
"crosses_railroad": true
}
}
],
"shareLink": "<string>",
"dashboardLink": "<string>",
"cmv": 123,
"arv": 123,
"arvReasoning": "<string>",
"cmvReasoning": "<string>",
"arvConfidence": 123,
"cmvConfidence": 123,
"repairs": [
{
"repair": "<string>",
"description": "<string>",
"cost": 123
}
],
"totalRepairCost": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Query Parameters
The address of the property to analyze
Override the auto-detected bedroom count
x >= 1Override the auto-detected bathroom count (must be a multiple of 0.5)
x >= 0.5Must be a multiple of 0.5Override the auto-detected square footage
x >= 1Override the auto-detected year built
x >= 1Override the auto-detected land use classification. Values: vacantResidential (Residential-Vacant Land), singleFamily (Single Family Residential), multiFamily2to4 (Multi-Family 2-4), multiFamily5plus (Multi-Family 5+), duplex (Duplex), townhouse (Townhouse/Condo), mobile (Mobile home), apartments (Apartments), vacantLand (Vacant Land (General))
vacantResidential, singleFamily, multiFamily2to4, multiFamily5plus, duplex, townhouse, mobile, apartments, vacantLand Comma-separated list of image URLs to add to the list of property images
Natural language description of repairs needed. AI will research and generate repair estimates with costs.
Comma-separated list of comp sources to include. Values: mls_sold, public_record, mls_active, mls_pending. Defaults to mls_sold,public_record.
Lookback window in months for comp sales. Defaults to auto.
3, 6, 12, 18, 24, 36 Override the search radius (in miles) used when selecting comps.
x >= 0Response
Property created successfully
UUID of the stored property
Filtered subject property
Show child attributes
Show child attributes
Comparable properties returned alongside the subject
Show child attributes
Show child attributes
Shareable dashboard link
Dashboard link for authenticated access
Current Market Value
After Repair Value
AI explanation of the ARV estimate
AI explanation of the CMV estimate
Confidence in the ARV estimate as a 0-1 fraction (rounded to 2 decimals). Weighted blend of comp count, price agreement, distance, recency, and renovation-data coverage. Null when no comps were available.
Confidence in the CMV estimate as a 0-1 fraction (rounded to 2 decimals). Same scoring as arvConfidence, over the CMV comp set. Null when no comps were available.
AI-generated repair estimates
Show child attributes
Show child attributes
Sum of all repair costs in Dollars
